#segments {
    background-image: url("../../../assets/img/textures/Shapes.webp");
    font-family: 'Sraben Grotesk';
    min-height: 100vh;
    height: fit-content;
    padding: 20px;
    padding-top: 4em;
}

#segments .section__title {
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 10px;
    width: 100%;

    & .line {
        width: 100%;
        height: 2px;
        background-color: var(--black-color);
        display: block;
    }

    & h2 {
        font-size: 36px;
        text-transform: uppercase;
        font-weight: 600;
        color: var(--black-color);
        text-align: left;
        margin: 0;
    }
}

@media screen and (min-width: 576px) {
    #segments .section__title h2 {
        font-size: 48px;
        font-weight: 700;
    }
}

/* -------------------------------------------------------------- */
/* ESTILOS ESPECÍFICOS */
/* -------------------------------------------------------------- */

#segments {
    font-size: 18px;

    & .section__description {
        margin: 20px 0;

        & p {
            margin: 20px 0;
            text-align: justify;
            line-height: 1.7;
        }
    }

    & .section__segments {
        display: grid;
        grid-template-columns: 1fr;
        gap: 20px;

        & .card__item {
            border-radius: 18px;
            padding: 20px;
            background-color: var(--lighter-blue-color);
            border: 2px solid var(--dark-blue-color);

            & .card__title h3{
                font-size: 28px;
                text-transform: uppercase;
                font-weight: 700;
                text-align: center;
                margin: 0;
            }

            & .card__image {
                width: 100%;
                display: flex;
                justify-content: center;
                margin: 20px 0;

                & img {
                    width: 70%;
                }
            }

            & .card__description {
                margin: 20px 0;

                & p {
                    text-align: justify;
                    margin: 0;
                }
            }

            & .card__footer {
                display: flex;
                
                & .icons {
                    
                    & .icons__background {
                        width: 100%;
                        gap: 20px;
                        display: flex;
                        justify-content: flex-start;
                        flex-wrap: wrap;
                        
                        & i{
                            font-size: 20px;
                            color: var(--dark-blue-color);
                        }
                    }
                }
            }
        }
    }
}

@media screen and (min-width: 576px) {
    #segments {
        font-size: 20px;
        
        & .section__segments {
            grid-template-columns: 1fr 1fr;

            & .card__item {
                min-height: fit-content;
                display: flex;
                flex-direction: column;

                & .card__title {
                    height: 70px;
                }

                & .card__image img {
                    width: 60%;
                }
            }
        }
    }
}

@media screen and (min-width: 768px) {
    #segments {
        & .section__segments {

            & .card__item {

                & .card__title h3 {
                    font-size: 32px;
                }

                & .card__image {
                    height: 200px;

                    & img{
                        width: 90%;
                    }
                }

                & .card__footer {
                    margin-top: auto;
                }
            }
        }
    }
}

@media screen and (min-width: 992px) {
    #segments {
        font-size: 24px;

        & .section__segments {
            & .card__item {

                & .card__title {
                    
                    h3 {
                        font-size: 36px;
                    }
                }

                & .card__icons i{
                    font-size: 24px;
                }
            }
        }
    }
}

@media screen and (min-width: 1200px) {
    #segments {
        & .section__segments {
            
            & .card__item {
                padding: 0;
                box-shadow: none;
                background-color: transparent;
                position: relative;
                border: none;

                & .card__title,
                & .card__description,
                & .card__image{
                    background-color: var(--light-blue-color);
                    padding: 20px;
                    margin: 0;
                }

                & .card__title {
                    border-radius: 15px 15px 0 0 ;
                }

                & .card__description {
                    background-color: var(--light-blue-color);
                    padding: 20px;
                    border-bottom-left-radius: 15px;
                    min-height: 190px;
                }

                & .card__footer{
                    margin: 0;
                    
                    & .icons {
                        width: 60%;
                        height: 100%;
                        background-color: var(--light-blue-color);
                        
                        & .icons__background {
                            background-color: var(--white-color);
                            justify-content: space-evenly;
                            padding: 10px;
                            border-top-right-radius: 15px;
                            height: 100%;
                        }
                    }

                    & .empty {
                        width: 40%;
                        height: 100%;
                        background-color: var(--light-blue-color);
                        border-radius: 0 0 15px 15px;
                    }
                }
            }
        }
    }
}

@media screen and (min-width: 1400px) {
    #segments .section__segments .card__item .card__description {
        min-height: 150px;
    }
}